Bug 1763277 - [RFE] Add python3-pyghmi to EL7
Summary: [RFE] Add python3-pyghmi to EL7
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-pyghmi
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dmitry Tantsur
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-18 16:14 UTC by Xavier Bachelot
Modified: 2021-01-07 14:32 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-12-15 11:37:10 UTC
Type: Bug


Attachments (Terms of Use)

Description Xavier Bachelot 2019-10-18 16:14:01 UTC
Hi,

Could you please also build the python3 version in epel7 ?
I've been experimenting with the epel7 branch rebased to e1b42f0.

Regards,
Xavier

Comment 1 Xavier Bachelot 2019-10-18 16:32:34 UTC
Actually, python-pyghmi is not in EL7 at all, scratch the above. Could you please branch it ?

Comment 2 Xavier Bachelot 2019-11-19 13:07:39 UTC
Here's a PR that updates the epel7 branch:
https://src.fedoraproject.org/rpms/python-pyghmi/pull-request/8

I'm willing to help maintain the epel7 branch if needed. My FAS username is xavierb.

Comment 3 Xavier Bachelot 2020-01-13 15:43:02 UTC
Hi,

Gentle reminder.
Any chance this can be merged and the epel7 package built ?
Please let me know if anything needs to be fixed or tweaked in the PR.

Regards,
Xavier

Comment 4 Xavier Bachelot 2020-01-23 10:49:29 UTC
Hi,

I made a PR and I've offered to maintain the epel7 branch.
Is there anything else I can do to get the ball rolling ?

Regards,
Xavier

Comment 5 Alfredo Moralejo 2020-01-24 08:51:23 UTC
I've tested the PR and looks fine to me. I'm fine to merge and build but i'd prefer to have ack from main admin first.

Comment 6 Xavier Bachelot 2020-01-24 16:23:12 UTC
Hi alfredo,

Thanks for looking at the PR.
If that may help my case, there's no chance for a regression, as pyghmi is not in EPEL7 at all currently.

Regards,
Xavier

Comment 7 Xavier Bachelot 2020-05-12 15:43:07 UTC
Hi,

Can someone please merge this PR or grant me rights on the epel7 branch so I can do it on my own (FAS: xavierb) ? 

Regards,
Xavier

Comment 9 Xavier Bachelot 2020-08-13 13:36:42 UTC
This issue is unfortunately still not moving forward for EL7. I've just commented on the PR to bump it.
I would now also need pyghmi for EL8. The latest version, if possible.

Comment 10 Xavier Bachelot 2020-10-08 08:22:22 UTC
I just commented in the PR again.
Also, I've filed https://bugzilla.redhat.com/show_bug.cgi?id=1886330 for the EL8 build.

Comment 12 Dmitry Tantsur 2020-11-30 18:15:25 UTC
With your PR merged and EPEL8 version released, do we need anything else here?

Comment 13 Xavier Bachelot 2021-01-07 14:32:46 UTC
Thanks Dmitry, all good now.


Note You need to log in before you can comment on or make changes to this bug.